

/* Note: this file taken from MinneView and modified by mbp on 6/6/90.
   See original copyright notice below. */


#define NTSCXMIN -50
#define NTSCXMAX 700
#define NTSCYMIN -50
#define NTSCYMAX 550

#include <gl.h>
#include <stdio.h>
#include <gl/cg2vme.h>
#include <gl/addrs.h>
#include <device.h>
#include <get.h>
#include "gr.h"

int GrNTSCMode = 0;
int GrNTSCMouseX, GrNTSCMouseY;

int
  GrToggleNTSC()
{
  static long x,y,xsize,ysize, current_gid;

  if (!GrHasNTSC()) return;

  GrNTSCMode = !GrNTSCMode;

  switch (GrNTSCMode) {
  case 1:
    {
      int mode = DER1_G_170 | DER1_UNBLANK;
      int cg = 2;

      /* Remember current state */
      current_gid = GrCurrentGID;
      getorigin(&x, &y);
      getsize(&xsize, &ysize);
      GrNTSCMouseX = getvaluator(MOUSEX);
      GrNTSCMouseY = getvaluator(MOUSEY);

      /* Turn NTSC on */
      winset(GrGraphicsGID);
      GrCurrentGID = GrGraphicsGID;
      winposition( NTSCXMIN, NTSCXMAX, NTSCYMIN, NTSCYMAX );
      winpop();
/*
      setvaluator(MOUSEX, x + xsize/2, NTSCXMIN, NTSCXMAX );
      setvaluator(MOUSEY, y + ysize/2, NTSCYMIN, NTSCYMAX );
*/
      setmonitor(NTSC);
    }
    break;
  case 0:
    {
      /* Turn NTSC off */
      setmonitor(HZ60);

      /* Restore remembered state */
/*
      setvaluator(MOUSEX, mousex, 0, XMAXSCREEN);
      setvaluator(MOUSEY, mousey, 0, YMAXSCREEN);
*/
      winposition(x, x+xsize, y, y+ysize);
      winset(current_gid);
      GrCurrentGID = current_gid;

    }
    break;
  }
}

int
  GrHasNTSC()
{
  return(getvideo(CG_MODE) != -1);
}


/* $Header: /usr2/mbp/src/lgd/iris4/RCS/ntsc.c,v 1.1 90/06/07 01:28:51 mbp Exp Locker: mbp $ */

/*
 * Copyright (c) 1990, Geometry Supercomputer Project
 *                     University of Minnesota 
 *                     1200 Washington Ave. S
 *                     Minneapolis, MN  55415
 *
 * email address: software@geom.umn.edu
 *
 * This software is copyrighted as noted above.  It may be freely copied,
 * modified, and redistributed, provided that the copyright notice is
 * preserved on all copies.
 *
 * There is no warranty or other guarantee of fitness for this software,
 * it is provided solely "as is".  Bug reports or fixes may be sent
 * to the authors, who may or may not act on them as they desire.
 *
 * You may not include this software in a program or other software product
 * without supplying the source, or without informing the end-user that the
 * source is available for no extra charge.
 *
 * If you modify this software, you should include a notice giving the
 * name of the person performing the modification, the date of modification,
 * and the reason for such modification.
 */



